#!/bin/sh

. ./setCommonEnv.sh
export NMAPDIR=$SERVER_HOME/nmap

############################### JAVA SYSTEM PROPERTIES ########################################################
JAVA_OPTS="-XX:-HeapDumpOnOutOfMemoryError -Dcatalina.home=$SERVER_HOME -Dserver.home=$SERVER_HOME -Djava.util.logging.manager=com.adventnet.logging.LogManager -Djava.util.logging.config.file=$SERVER_HOME/conf/logging.xml -Djava.util.logging.config.class=com.adventnet.logging.LoggingScanner -Djava.awt.headless=true -Dlog.dir=$SERVER_HOME -Ddb.home=$DB_HOME"

#JAVA_OPTS="-XX:-HeapDumpOnOutOfMemoryError -Dcatalina.home=$SERVER_HOME -Dserver.home=$SERVER_HOME  -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.util.logging.config.file=$SERVER_HOME/conf/logging.properties  -Djava.awt.headless=true -Dlog.dir=$SERVER_HOME -Ddb.home=$DB_HOME -Djava.awt.headless=true"
################################################################################################################

echo ""
echo "JAVA_HOME   :" $JAVA_HOME
echo "SERVER_HOME :" $SERVER_HOME
echo "DATE        :" `date`
echo ""


$JAVA $JAVA_OPTS -cp $SERVER_HOME/bin/run.jar com.adventnet.mfw.util.JdkAndPortCheck
if [ $? -ne 0 ]
then
	exit 1
fi

LD_LIBRARY_PATH=$SERVER_HOME/lib/native:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$SERVER_HOME/lib/native"



CLASS_PATH=$SERVER_HOME/lib:$SERVER_HOME/bin/run.jar:$SERVER_HOME/lib/AdvCoreLogging.jar:$SERVER_HOME/bin/commons-logging-api.jar:$JAVA_HOME/lib/tools.jar:$SERVER_HOME/lib/AdventNetNPrevalent.jar:$SERVER_HOME/lib/AdventNetUpdateManagerInstaller.jar:$SERVER_HOME/fos/lib/fos.jar:$SERVER_HOME/fos/lib/fos-agent.jar:$SERVER_HOME/lib/tomcat/tomcat-juli.jar

$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter

